api/openapi.yaml. Select the matching method/path entry
under Endpoints for parameters, request and response schemas, authentication, and a
cURL starting point. Before calling a state-changing product operation, apply the
generated cURL limitation.
Authentication
POST /api/v1/auth/local/bootstrapPOST /api/v1/auth/local/sign-inPUT /api/v1/auth/local/passwordGET /api/v1/auth/oidc/startGET /api/v1/auth/oidc/callback
Members
GET /api/v1/membersPOST /api/v1/local-usersPATCH /api/v1/members/{user}DELETE /api/v1/members/{user}
Sessions
GET /api/v1/sessionDELETE /api/v1/session
Policy and audit
GET /api/v1/policyPUT /api/v1/policyGET /api/v1/audit-events
Integration catalog
GET /api/v1/integration-typesPOST /api/v1/integration-types/{type}/connect
Integrations
GET /api/v1/integrations/connect/callbackGET /api/v1/integrationsPOST /api/v1/integrationsGET /api/v1/integrations/{integration}PATCH /api/v1/integrations/{integration}DELETE /api/v1/integrations/{integration}POST /api/v1/integrations/{integration}/enablePOST /api/v1/integrations/{integration}/disablePOST /api/v1/integrations/{integration}/verifyPOST /api/v1/integrations/{integration}/rotate-webhook-secret
Relays
GET /api/v1/relaysGET /api/v1/relays/summaryPOST /api/v1/relays/bootstrap-tokensGET /api/v1/relays/{registration}/integrationsGET /api/v1/relays/{registration}/failuresPOST /api/v1/relays/{registration}/clear-conflict
Incidents
GET /api/v1/incidentsGET /api/v1/incidents/{incident}GET /api/v1/incidents/{incident}/alert-eventsPOST /api/v1/incidents/{incident}/merge
Investigations
GET /api/v1/investigationsPOST /api/v1/investigationsGET /api/v1/investigations/{investigation}POST /api/v1/investigations/{investigation}/cancelGET /api/v1/investigations/{investigation}/events
Conversations
GET /api/v1/conversationsPOST /api/v1/conversationsGET /api/v1/conversations/{conversation}POST /api/v1/conversations/{conversation}/messages
Postmortems
GET /api/v1/incidents/{incident}/postmortemPOST /api/v1/incidents/{incident}/postmortemPATCH /api/v1/incidents/{incident}/postmortemPOST /api/v1/incidents/{incident}/postmortem/regeneratePOST /api/v1/incidents/{incident}/postmortem/review
Webhooks
POST /webhooks/v1/integrations/{integration}/alert-eventsPOST /webhooks/v1/slack/events
Slack recovery
POST /api/v1/slack/conversations/{conversation}/messages/{sequence}/recover